Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with             jdk6

%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/apache-jaxme/%{version}-cvs-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define base_name jaxme

Name:           ws-%{base_name}-jboss
Version:        0.2
Release:        alt2_1jpp5
Epoch:          0
Summary:        Open source implementation of JAXB
Group:          Development/Java
License:        ASL 1.1
URL:            http://ws.apache.org/jaxme/
# svn export -r231719 http://svn.apache.org/repos/asf/webservices/jaxme/trunk ws-jaxme-0.2
# tar cjf ws-jaxme-0.2.tar.bz2 ws-jaxme-0.2
Source0:        ws-jaxme-%{version}.tar.bz2
Source1:        ws-jaxme-component-info.xml
Patch0:         ws-jaxme-jdk16.patch
BuildRequires: jpackage-utils >= 0:1.5.32
BuildRequires: ant >= 0:1.6
BuildRequires: ant-apache-resolver
BuildRequires: ant-trax
BuildRequires: docbook-style-xsl
BuildRequires: hsqldb
BuildRequires: jaxp_transform_impl
BuildRequires: junit >= 0:3.8.1
BuildRequires: log4j
BuildRequires: servlet
BuildRequires: xalan-j2
BuildRequires: xmldb-api
BuildRequires: xerces-j2
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xml-commons-resolver12
BuildArch:      noarch

%description
A Java/XML binding compiler takes as input a schema 
description (in most cases an XML schema, but it may 
be a DTD, a RelaxNG schema, a Java class inspected 
via reflection, or a database schema). The output is 
a set of Java classes:
* A Java bean class matching the schema description. 
  (If the schema was obtained via Java reflection, 
  the original Java bean class.)
* Read a conforming XML document and convert it into 
  the equivalent Java bean.
* Vice versa, marshal the Java bean back into the 
  original XML document.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    manual
%{summary}.

%if %{with_repolib}
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n ws-%{base_name}-%{version}
%if %with jdk6
%patch0 -p1 -b .orig
%endif
find . -name "*.jar" | xargs -t rm
perl -pi -e 's/\r$//g' prerequisites/README

%build
export OPT_JAR_LIST="ant/ant-trax jaxp_transform_impl xalan-j2-serializer"
export CLASSPATH=$(build-classpath hsqldb log4j servlet xalan-j2 xmldb-api xerces-j2 xml-commons-jaxp-1.3-apis xml-commons-resolver12 junit)

ant all javadoc \
-Dbuild.sysclasspath=first \
-Ddocbook.home=/usr/share/sgml/docbook \
-Ddocbookxsl.home=/usr/share/sgml/docbook/xsl-stylesheets

%install
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{base_name}
for jar in dist/*.jar; do
   jbs=`basename ${jar}`
   jnm=`echo ${jbs} | sed -e 's|\.jar||'`
   install -Dpm 644 ${jar} \
     $RPM_BUILD_ROOT%{_javadir}/%{base_name}-jboss/ws-${jnm}.jar
done
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name}-jboss && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name}-jboss && for jar in ws-*.jar; do ln -sf ${jar} `echo $jar| sed  "s|ws-||g"`; done)

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/src/documentation/content/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if 0
# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/docs/src/documentation/content/manual $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif

%if %{with_repolib}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
        install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
        sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        sed -i "s/@VERSION@/%{version}-cvs-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
        cp -p $RPM_BUILD_ROOT%{_javadir}/%{base_name}-jboss/jaxmexs.jar $RPM_BUILD_ROOT%{repodirlib}/jaxmexs.jar
%endif

%files
%doc LICENSE prerequisites/README
%{_javadir}/%{base_name}-jboss

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

# FIXME: (dwalluck): manual requires apache forrest
%if 0
%files manual
%doc %{_docdir}/%{name}-%{version}
%endif

%if %{with_repolib}
%files repolib
%{_javadir}/repository.jboss.com
%endif

%changelog
* Mon Feb 22 2010 Igor Vlasenko <viy@altlinux.ru> 0:0.2-alt2_1jpp5
- use default jpp profile

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.2-alt1_1jpp5
- converted from JPackage by jppimport script

